Skip to main content
Resource Center/Hardware/Host Operations

AddKVMHost

AddKVMHost

POST/zstack/v1/hosts/kvm

Operation ID

AddKVMHost

Since

0.6

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

application/json

Body Fields

  • params
    ObjectRequired

    Request body parameter object.

    • username
      StringRequired

      The SSH username.

    • password
      StringRequired

      The SSH password.

    • sshPort
      int

      Optional. The SSH port No.

    • name
      StringRequired

      The resource name.

    • description
      String

      Optional. The detailed description of the resource.

    • managementIp
      StringRequired

      The host management address. IPv4 addresses, IPv6 addresses, and DNS names are supported.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • resourceUuid
      String

      Optional. The resource UUID.

  • systemTags
    List

    Optional. The system tags.

  • userTags
    List

    Optional. The user tags.

Responses

200 OK
200 OK

On success, this API returns the following response structure.

  • error
    ErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • code
      StringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • description
      StringRequired

      The brief description of the error.

    • details
      StringRequired

      The details about the error.

    • elaboration
      StringRequired

      The reserved field. Default value: null.

    • opaque
      LinkedHashMapRequired

      The reserved field. Default value: null.

    • cause
      ErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventory
    HostInventoryRequired

    Seeinventory.

    • zoneUuid
      StringRequired

      The zone UUID.

    • name
      StringRequired

      The resource name.

    • uuid
      StringRequired

      The resource UUID.

    • clusterUuid
      StringRequired

      The cluster UUID.

    • description
      StringRequired

      The detailed description of the resource.

    • managementIp
      StringRequired

      The management IP.

    • hypervisorType
      StringRequired

      The hypervisor type.

    • state
      StringRequired

      The resource state.

    • status
      StringRequired

      The resource status.

    • totalCpuCapacity
      LongRequired

      The total CPU capacity.

    • availableCpuCapacity
      LongRequired

      The available CPU capacity.

    • cpuSockets
      IntegerRequired

      The CPU sockets.

    • totalMemoryCapacity
      LongRequired

      The total memory capacity.

    • availableMemoryCapacity
      LongRequired

      The available memory capacity.

    • cpuNum
      IntegerRequired

      The number of CPUs.

    • createDate
      TimestampRequired

      The creation date.

    • lastOpDate
      TimestampRequired

      The last operation date.